Bug 150534 - Squid needs to be upgraded to -STABLE9 release
Squid needs to be upgraded to -STABLE9 release
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: squid (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Jay Fenlason
http://www.squid-cache.org/Versions/v...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-07 19:38 EST by Reuben Farrelly
Modified: 2014-08-31 19:27 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-22 16:21:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Reuben Farrelly 2005-03-07 19:38:01 EST
We are seeing quite a lot of problems (several daily complaints) on the
squid-users mailing list, of users complaining about the relaxed_header_parser
in -STABLE8.  They claim that some sites no longer work after upgrading, despite
the relaxed_header_parser being set to on, which is more tolerant of broken web
servers.  This includes users using Fedora Core users using Fedora RPM's based
on -STABLE8 which was pushed out to -devel, FC3 updates and I believe, FC2 updates.

The header parser was relaxed slightly for -STABLE9 and seems to work a bit
better - and allows some sites to work that did not work with -STABLE8.

Additionally, squid needs to be rebuilt against gcc4 and the newer openssl in
-devel.  I had some fixes committed to -STABLE9 so that it should compile
cleanly against gcc4 and no packaging work should be required for this.

Can an update please be prepared and pushed out to address these issues?
Comment 1 Jay Fenlason 2005-03-22 16:21:00 EST
I updated squid in Rawhide to STABLE9 a while ago.  I'm still working on 
getting out updates for FC2 and FC3. 

Note You need to log in before you can comment on or make changes to this bug.